Bug 771940 - [eap6] all resources appear offline after invoking server Stop+Start operations
[eap6] all resources appear offline after invoking server Stop+Start operations
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.3
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: Libor Zoubek
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-05 08:36 EST by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:25:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-01-05 08:36:06 EST
Description of problem: It is now unclear to me, why this happens. But it seems, like sometimes EAP started using RHQ "does not start up well". It seems to be an EAP issue. The only difference between starting up EAP using RHQ and CLI is, that RHQ runs: /bin/sh/ <path to standalone>, but most of us including me do it like: cd <eap home>/bin && ./standalone.sh. 


Version-Release number of selected component (if applicable):
Version: 4.3.0-SNAPSHOT
Build Number: d1d1887
EAP6 DR8

How reproducible:not sure yet

Steps to Reproduce:
1.inventory eap6 standalone
2.restart EAP using RHQ
3. wait 'till agent runs discovery or run it manually
  
Actual results: if you have a luck, you get similar bunch of stacktraces as in server.log attachement.
if you are more lucky, RHQ will report all child resources to be unavailable (except for platform-mbean). If you reinventory resource, nothing except platform-mbean is discovered. In this case, EAP needs to be restarted


Expected results:


Additional info: JBPAPP-7860
Comment 1 Heiko W. Rupp 2012-01-11 09:16:06 EST
The RHQ plugin also cds into the home directory.

I can't reproduce this, but I've increased the timeout now to 15s, as the more fully loaded servers take longer to start.

master 2189d58
Comment 2 Heiko W. Rupp 2012-01-11 09:18:20 EST
Argh git pull --rebase re-writes local commit hashes

master 4a4e0dc
Comment 3 Heiko W. Rupp 2013-09-02 03:25:40 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.